Package org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class AttributeGroupImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AttributeGroupImpl

- All Implemented Interfaces:
    `Serializable`, `TypeStoreUser`, `Annotated`, `AttributeGroup`, `OpenAttrs`, `SimpleValue`, `XmlObject`, `XmlTokenSource`
  Direct Known Subclasses:
    `AttributeGroupRefImpl`, `NamedAttributeGroupImpl`

      public class AttributeGroupImpl
      extends AnnotatedImpl
      implements AttributeGroup

  An XML attributeGroup(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.AttributeGroup

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.OpenAttrs

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributeGroupImpl​(SchemaType sType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Wildcard` | `addNewAnyAttribute()` | Appends and returns a new empty "anyAttribute" element
    `Attribute` | `addNewAttribute()` | Appends and returns a new empty value (as xml) as the last "attribute" element
    `AttributeGroupRef` | `addNewAttributeGroup()` | Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `Wildcard` | `getAnyAttribute()` | Gets the "anyAttribute" element
    `Attribute[]` | `getAttributeArray()` | Gets array of all "attribute" elements
    `Attribute` | `getAttributeArray​(int i)` | Gets ith "attribute" element
    `AttributeGroupRef[]` | `getAttributeGroupArray()` | Gets array of all "attributeGroup" elements
    `AttributeGroupRef` | `getAttributeGroupArray​(int i)` | Gets ith "attributeGroup" element
    `List<AttributeGroupRef>` | `getAttributeGroupList()` | Gets a List of "attributeGroup" elements
    `List<Attribute>` | `getAttributeList()` | Gets a List of "attribute" elements
    `String` | `getName()` | Gets the "name" attribute
    `QName` | `getRef()` | Gets the "ref" attribute
    `Attribute` | `insertNewAttribute​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attribute" element
    `AttributeGroupRef` | `insertNewAttributeGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `boolean` | `isSetAnyAttribute()` | True if has "anyAttribute" element
    `boolean` | `isSetName()` | True if has "name" attribute
    `boolean` | `isSetRef()` | True if has "ref" attribute
    `void` | `removeAttribute​(int i)` | Removes the ith "attribute" element
    `void` | `removeAttributeGroup​(int i)` | Removes the ith "attributeGroup" element
    `void` | `setAnyAttribute​(Wildcard anyAttribute)` | Sets the "anyAttribute" element
    `void` | `setAttributeArray​(int i, Attribute attribute)` | Sets ith "attribute" element
    `void` | `setAttributeArray​(Attribute[] attributeArray)` | Sets array of all "attribute" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAttributeGroupArray​(int i, AttributeGroupRef attributeGroup)` | Sets ith "attributeGroup" element
    `void` | `setAttributeGroupArray​(AttributeGroupRef[] attributeGroupArray)` | Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
    `void` | `setName​(String name)` | Sets the "name" attribute
    `void` | `setRef​(QName ref)` | Sets the "ref" attribute
    `int` | `sizeOfAttributeArray()` | Returns number of "attribute" element
    `int` | `sizeOfAttributeGroupArray()` | Returns number of "attributeGroup" element
    `void` | `unsetAnyAttribute()` | Unsets the "anyAttribute" element
    `void` | `unsetName()` | Unsets the "name" attribute
    `void` | `unsetRef()` | Unsets the "ref" attribute
    `XmlNCName` | `xgetName()` | Gets (as xml) the "name" attribute
    `XmlQName` | `xgetRef()` | Gets (as xml) the "ref" attribute
    `void` | `xsetName​(XmlNCName name)` | Sets (as xml) the "name" attribute
    `void` | `xsetRef​(XmlQName ref)` | Sets (as xml) the "ref" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate, validate, validate_now, validate_simpleval, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### AttributeGroupImpl

          public AttributeGroupImpl​(SchemaType sType)

  - ### Method Detail

    - #### getAttributeList

          public List<Attribute> getAttributeList()

      Gets a List of "attribute" elements
      Specified by:
        `getAttributeList` in interface `AttributeGroup`

    - #### getAttributeArray

          public Attribute[] getAttributeArray()

      Gets array of all "attribute" elements
      Specified by:
        `getAttributeArray` in interface `AttributeGroup`

    - #### getAttributeArray

          public Attribute getAttributeArray​(int i)

      Gets ith "attribute" element
      Specified by:
        `getAttributeArray` in interface `AttributeGroup`

    - #### sizeOfAttributeArray

          public int sizeOfAttributeArray()

      Returns number of "attribute" element
      Specified by:
        `sizeOfAttributeArray` in interface `AttributeGroup`

    - #### setAttributeArray

          public void setAttributeArray​(Attribute[] attributeArray)

      Sets array of all "attribute" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeArray` in interface `AttributeGroup`

    - #### setAttributeArray

          public void setAttributeArray​(int i,
                                        Attribute attribute)

      Sets ith "attribute" element
      Specified by:
        `setAttributeArray` in interface `AttributeGroup`

    - #### insertNewAttribute

          public Attribute insertNewAttribute​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attribute" element
      Specified by:
        `insertNewAttribute` in interface `AttributeGroup`

    - #### addNewAttribute

          public Attribute addNewAttribute()

      Appends and returns a new empty value (as xml) as the last "attribute" element
      Specified by:
        `addNewAttribute` in interface `AttributeGroup`

    - #### removeAttribute

          public void removeAttribute​(int i)

      Removes the ith "attribute" element
      Specified by:
        `removeAttribute` in interface `AttributeGroup`

    - #### getAttributeGroupList

          public List<AttributeGroupRef> getAttributeGroupList()

      Gets a List of "attributeGroup" elements
      Specified by:
        `getAttributeGroupList` in interface `AttributeGroup`

    - #### getAttributeGroupArray

          public AttributeGroupRef[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements
      Specified by:
        `getAttributeGroupArray` in interface `AttributeGroup`

    - #### getAttributeGroupArray

          public AttributeGroupRef getAttributeGroupArray​(int i)

      Gets ith "attributeGroup" element
      Specified by:
        `getAttributeGroupArray` in interface `AttributeGroup`

    - #### sizeOfAttributeGroupArray

          public int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element
      Specified by:
        `sizeOfAttributeGroupArray` in interface `AttributeGroup`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray​(AttributeGroupRef[] attributeGroupArray)

      Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeGroupArray` in interface `AttributeGroup`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray​(int i,
                                             AttributeGroupRef attributeGroup)

      Sets ith "attributeGroup" element
      Specified by:
        `setAttributeGroupArray` in interface `AttributeGroup`

    - #### insertNewAttributeGroup

          public AttributeGroupRef insertNewAttributeGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
      Specified by:
        `insertNewAttributeGroup` in interface `AttributeGroup`

    - #### addNewAttributeGroup

          public AttributeGroupRef addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element
      Specified by:
        `addNewAttributeGroup` in interface `AttributeGroup`

    - #### removeAttributeGroup

          public void removeAttributeGroup​(int i)

      Removes the ith "attributeGroup" element
      Specified by:
        `removeAttributeGroup` in interface `AttributeGroup`

    - #### getAnyAttribute

          public Wildcard getAnyAttribute()

      Gets the "anyAttribute" element
      Specified by:
        `getAnyAttribute` in interface `AttributeGroup`

    - #### isSetAnyAttribute

          public boolean isSetAnyAttribute()

      True if has "anyAttribute" element
      Specified by:
        `isSetAnyAttribute` in interface `AttributeGroup`

    - #### setAnyAttribute

          public void setAnyAttribute​(Wildcard anyAttribute)

      Sets the "anyAttribute" element
      Specified by:
        `setAnyAttribute` in interface `AttributeGroup`

    - #### addNewAnyAttribute

          public Wildcard addNewAnyAttribute()

      Appends and returns a new empty "anyAttribute" element
      Specified by:
        `addNewAnyAttribute` in interface `AttributeGroup`

    - #### unsetAnyAttribute

          public void unsetAnyAttribute()

      Unsets the "anyAttribute" element
      Specified by:
        `unsetAnyAttribute` in interface `AttributeGroup`

    - #### getName

          public String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `AttributeGroup`

    - #### xgetName

          public XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `AttributeGroup`

    - #### isSetName

          public boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `AttributeGroup`

    - #### setName

          public void setName​(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `AttributeGroup`

    - #### xsetName

          public void xsetName​(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `AttributeGroup`

    - #### unsetName

          public void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `AttributeGroup`

    - #### getRef

          public QName getRef()

      Gets the "ref" attribute
      Specified by:
        `getRef` in interface `AttributeGroup`

    - #### xgetRef

          public XmlQName xgetRef()

      Gets (as xml) the "ref" attribute
      Specified by:
        `xgetRef` in interface `AttributeGroup`

    - #### isSetRef

          public boolean isSetRef()

      True if has "ref" attribute
      Specified by:
        `isSetRef` in interface `AttributeGroup`

    - #### setRef

          public void setRef​(QName ref)

      Sets the "ref" attribute
      Specified by:
        `setRef` in interface `AttributeGroup`

    - #### xsetRef

          public void xsetRef​(XmlQName ref)

      Sets (as xml) the "ref" attribute
      Specified by:
        `xsetRef` in interface `AttributeGroup`

    - #### unsetRef

          public void unsetRef()

      Unsets the "ref" attribute
      Specified by:
        `unsetRef` in interface `AttributeGroup`